Get Workspace
curl --request GET \
--url http://127.0.0.1:3333/v3/workspaces/{workspaceId} \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/workspaces/{workspaceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/workspaces/{workspaceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"workspace": {
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"members": [
{
"userId": "<string>",
"workspaceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"email": "<string>",
"image": "<string>"
}
],
"icon": "<string>",
"stripeId": "<string>",
"customMonthlyCredits": 123,
"customStorageLimit": 123,
"customSeatsLimit": 123,
"settings": null,
"isQuarantined": false,
"isSuspended": false,
"isPastDue": false,
"isVerified": true,
"lastActivityAt": "2023-11-07T05:31:56Z",
"creditsRecurring": 0,
"creditsPurchased": 0,
"overageCapAmount": 123,
"autoRechargeEnabled": false,
"autoRechargeTrigger": 0,
"autoRechargeAmount": 0,
"resolvedCreditsLimit": 123,
"resolvedSeatsLimit": 123,
"resolvedStorageLimit": 123
}
}Workspace Management
Get Workspace
Get a workspace by ID.
GET
/
v3
/
workspaces
/
{workspaceId}
Get Workspace
curl --request GET \
--url http://127.0.0.1:3333/v3/workspaces/{workspaceId} \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/workspaces/{workspaceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/workspaces/{workspaceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"workspace": {
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"members": [
{
"userId": "<string>",
"workspaceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"email": "<string>",
"image": "<string>"
}
],
"icon": "<string>",
"stripeId": "<string>",
"customMonthlyCredits": 123,
"customStorageLimit": 123,
"customSeatsLimit": 123,
"settings": null,
"isQuarantined": false,
"isSuspended": false,
"isPastDue": false,
"isVerified": true,
"lastActivityAt": "2023-11-07T05:31:56Z",
"creditsRecurring": 0,
"creditsPurchased": 0,
"overageCapAmount": 123,
"autoRechargeEnabled": false,
"autoRechargeTrigger": 0,
"autoRechargeAmount": 0,
"resolvedCreditsLimit": 123,
"resolvedSeatsLimit": 123,
"resolvedStorageLimit": 123
}
}⌘I